#
# spec file for package yaz
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           yaz
# libxml2-devel
Version:        4.2.0
Release:        3
License:        BSD3c(or similar)
Summary:        Z39.50/SRW/SRU Programs
Url:            http://www.indexdata.dk/yaz/
Group:          Development/Libraries/C and C++
Source:         http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
Patch0:         yaz-4.1.7-codecleanup.diff
Patch1:         yaz-4.1.7-client.diff
BuildRequires:  libicu-devel
BuildRequires:  libpcap-devel
BuildRequires:  libxslt-devel
BuildRequires:  openssl-devel
BuildRequires:  pkg-config
BuildRequires:  readline-devel
BuildRequires:  tcpd-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains both a test-server and clients (normal & ssl) for
the ANSI/NISO Z39.50 protocol for Information Retrieval.  SRW and SRU
clients and servers are also supported.

%package -n libyaz
License:        BSD3c(or similar)
Summary:        Z39.50 Library
Group:          Development/Libraries/C and C++
# Requires:       libxml2
# Requires: libxml2 openssl

%description -n libyaz
YAZ is a C library for developing client - and server applications
using the ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n libyaz-devel
License:        BSD3c(or similar)
Summary:        Z39.50 Library
Group:          Development/Libraries/C and C++
Requires:       libicu-devel
Requires:       libopenssl-devel
Requires:       libxslt-devel
Requires:       libyaz = %{version}
Requires:       tcpd-devel

%description -n libyaz-devel
YAZ is a C library for developing client - and server applications
using the ANSI/NISO Z39.50 protocol for Information Retrieval.

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1

%build
#  --with-dsssl=/usr/share/sgml/docbook/dsssl-stylesheets \
#  --with-dtd=/usr/share/sgml/db41xml
%configure --enable-shared \
		   --enable-tcpd \
		   --with-xslt \
           --with-openssl \
		   --disable-static \
		   --with-pic
make %{?_smp_mflags}

%install
%{makeinstall}
#pushd doc
  # make prefix=%{buildroot}/usr install
#  make DESTDIR=%{buildroot} install
#popd
# Unwanted doc stuff
rm -fr %{buildroot}%{_datadir}/doc
rm -fr html
mkdir html
cp -a doc/*.html html
# cp doc/*pdf .
ln -sf introduction.html html/index.html
# yaz.pdf
%define DOCFILES README LICENSE NEWS
{
  echo "<html><head><title>%{name} documentation directory</title></head>"
  echo "<body><ul>"
  echo "<li><a href=\"html/index.html\">%{name}</a>, official documentation (local)"
  for f in %{DOCFILES} http://www.indexdata.dk/links/  ; do
    if [ "http:" = "${f%%%%/*}" ]; then
      echo "<li><a href=\"$f\">$f</a>"
      continue
    fi
    [ -f $f ] || continue
    echo "<li><a href=\"$f\">$f</a>"
  done
  echo "</li></body></html>"
} >index.html
/sbin/ldconfig -n %{buildroot}%{_libdir}
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -fr %{buildroot}

%post -n libyaz -p /sbin/ldconfig

%postun -n libyaz -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/yaz-illclient
%{_bindir}/yaz-client*
%{_bindir}/yaz-ztest*
%{_bindir}/yaz-iconv
%{_bindir}/yaz-icu
%{_bindir}/yaz-marcdump
%{_bindir}/zoomsh
%{_bindir}/yaz-json-parse
# #%%ifarch %ix86 ia64 s390 ppc hppa
# %{_bindir}/ziffy
# #%%endif
%{_mandir}/*/yaz-illclient.*
%{_mandir}/*/yaz-client.*
# %{_mandir}/*/ziffy.*
%{_mandir}/*/zoomsh.*
%{_mandir}/*/yaz-ztest.*
%{_mandir}/*/yaz-iconv.*
%{_mandir}/*/yaz-icu.*
%{_mandir}/*/yaz-log.*
%{_mandir}/*/yaz-marcdump.*
%{_mandir}/*/yaz-json-parse.*
%{_mandir}/*/bib1-attr.*

%files -n libyaz
%defattr(-,root,root)
%doc %{DOCFILES}
%doc index.html html
# %doc doc/yaz.pdf
%{_libdir}/*.so.*
%{_mandir}/*/yaz.*
%dir %{_datadir}/yaz
%{_datadir}/yaz/etc

%files -n libyaz-devel
%defattr(-,root,root)
%{_bindir}/yaz-config
%{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/*.so
%{_datadir}/yaz/z39.50
%{_datadir}/yaz/ill
%{_datadir}/aclocal/yaz.m4
%{_mandir}/man1/yaz-config.*
%{_mandir}/man1/yaz-asncomp.*
%{_libdir}/pkgconfig/yaz.pc

%changelog
